Bug 184862 - x11-fonts/pcf2bdf: Support USE_GITHUB
Summary: x11-fonts/pcf2bdf: Support USE_GITHUB
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-16 18:10 UTC by tkato432
Modified: 2013-12-19 13:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.24 KB, patch)
2013-12-16 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-16 18:10:17 UTC
- Support USE_GITHUB
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-12-18 23:52:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-12-19 12:51:54 UTC
Author: danilo
Date: Thu Dec 19 12:51:46 2013
New Revision: 336895
URL: http://svnweb.freebsd.org/changeset/ports/336895

Log:
  - Support USE_GITHUB
  - Add stage support
  
  PR:		ports/184862
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/x11-fonts/pcf2bdf/Makefile

Modified: head/x11-fonts/pcf2bdf/Makefile
==============================================================================
--- head/x11-fonts/pcf2bdf/Makefile	Thu Dec 19 12:49:09 2013	(r336894)
+++ head/x11-fonts/pcf2bdf/Makefile	Thu Dec 19 12:51:46 2013	(r336895)
@@ -4,7 +4,7 @@
 PORTNAME=	pcf2bdf
 PORTVERSION=	1.04
 CATEGORIES=	x11-fonts
-MASTER_SITES=	http://cloud.github.com/downloads/ganaware/pcf2bdf/
+MASTER_SITES=	GHC
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	ports@FreeBSD.org
@@ -12,17 +12,25 @@ COMMENT=	Convert X font from PCF to BDF
 
 LICENSE=	MIT
 
-NO_WRKSUBDIR=	yes
+USE_GITHUB=	yes
+GH_ACCOUNT=	ganaware
 
-MAN1=		pcf2bdf.1
-PLIST_FILES=	bin/pcf2bdf
+WRKSRC=		${WRKDIR}/${DISTNAME}
+
+PLIST_FILES=	bin/pcf2bdf man/man1/pcf2bdf.1.gz
+
+post-extract:
+	@${MKDIR} ${WRKSRC}
+	@${LN} -sf ../pcf2bdf.cc ${WRKSRC}/pcf2bdf.cc
+	@${LN} -sf ../pcf2bdf.man ${WRKSRC}/pcf2bdf.1
 
-NO_STAGE=	yes
 do-build:
-	${CXX} ${CXXFLAGS} -o ${WRKSRC}/pcf2bdf ${WRKSRC}/pcf2bdf.cc
+	(cd ${WRKSRC} && ${CXX} ${CXXFLAGS} pcf2bdf.cc -o pcf2bdf)
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/pcf2bdf ${PREFIX}/bin
-	${INSTALL_MAN} ${WRKSRC}/pcf2bdf.man ${MANPREFIX}/man/man1/pcf2bdf.1
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} pcf2bdf \
+		${STAGEDIR}${PREFIX}/bin)
+	(cd ${WRKSRC} && ${INSTALL_MAN} pcf2bdf.1 \
+		${STAGEDIR}${MANPREFIX}/man/man1)
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Danilo Egea Gondolfo freebsd_committer 2013-12-19 12:51:58 UTC
State Changed
From-To: open->closed

Committed. Thanks!